## ide-source-range ide-source-range |

## Functions

IdeSourceRange * | ide_source_range_ref ()
void | ide_source_range_unref ()
IdeSourceLocation * | ide_source_range_get_begin ()
IdeSourceLocation * | ide_source_range_get_end ()
IdeSourceRange * | ide_source_range_new ()

## Description

## Functions

### ide_source_range_ref ()

    IdeSourceRange *
    ide_source_range_ref (IdeSourceRange *self);

Increments the reference count of `self` by one. When you are done with `self` , release it by calling `ide_source_range_unref()`.

#### Parameters

self | An IdeSourceRange |

#### Returns

`self` .

[transfer full]

### ide_source_range_unref ()

    void
    ide_source_range_unref (IdeSourceRange *self);

Decrements the reference count of `self` by one.

#### Parameters

self | An IdeSourceRange. | [transfer full]

### ide_source_range_get_begin ()

    IdeSourceLocation *
    ide_source_range_get_begin (IdeSourceRange *self);

Gets the beginning of the source range.

#### Returns

An IdeSourceLocation.

[transfer none]

### ide_source_range_get_end ()

    IdeSourceLocation *
    ide_source_range_get_end (IdeSourceRange *self);

Gets the end of the source range.

#### Returns

An IdeSourceLocation.

[transfer none]

### ide_source_range_new ()

    IdeSourceRange *
    ide_source_range_new (IdeSourceLocation *begin,
                          IdeSourceLocation *end);

## Types and Values